org.eclnt.jsfserver.elements.componentnodes

## Class ANYEVENTLISTENERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ANYEVENTLISTENERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class ANYEVENTLISTENERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ANYEVENTLISTENERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ANYEVENTLISTENERNode` | `bindActionListener(IActionListenerDelegation value)`
    `ANYEVENTLISTENERNode` | `bindComment(IDynamicContentBindingObject value)`
    `ANYEVENTLISTENERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ANYEVENTLISTENERNode` | `bindDelay(IDynamicContentBindingObject value)`
    `ANYEVENTLISTENERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `ANYEVENTLISTENERNode` | `setActionListener(java.lang.String value)`
    `ANYEVENTLISTENERNode` | `setAttributemacro(java.lang.String value)`
    `ANYEVENTLISTENERNode` | `setComment(java.lang.String value)`
    `ANYEVENTLISTENERNode` | `setConfiginfo(java.lang.String value)`
    `ANYEVENTLISTENERNode` | `setDelay(int value)`
    `ANYEVENTLISTENERNode` | `setDelay(java.lang.String value)`
    `ANYEVENTLISTENERNode` | `setId(java.lang.String value)`
    `ANYEVENTLISTENERNode` | `setReference(java.lang.String value)`
    `ANYEVENTLISTENERNode` | `setRendered(boolean value)`
    `ANYEVENTLISTENERNode` | `setRendered(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ANYEVENTLISTENERNode

          public ANYEVENTLISTENERNode()

  - ### Method Detail

    - #### setId

          public ANYEVENTLISTENERNode setId(java.lang.String value)

    - #### setActionListener

          public ANYEVENTLISTENERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public ANYEVENTLISTENERNode bindActionListener(IActionListenerDelegation value)

    - #### setAttributemacro

          public ANYEVENTLISTENERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public ANYEVENTLISTENERNode setComment(java.lang.String value)

    - #### bindComment

          public ANYEVENTLISTENERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ANYEVENTLISTENERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ANYEVENTLISTENERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDelay

          public ANYEVENTLISTENERNode setDelay(java.lang.String value)

    - #### bindDelay

          public ANYEVENTLISTENERNode bindDelay(IDynamicContentBindingObject value)

    - #### setDelay

          public ANYEVENTLISTENERNode setDelay(int value)

    - #### setReference

          public ANYEVENTLISTENERNode setReference(java.lang.String value)

    - #### setRendered

          public ANYEVENTLISTENERNode setRendered(java.lang.String value)

    - #### bindRendered

          public ANYEVENTLISTENERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ANYEVENTLISTENERNode setRendered(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.